      subroutine hec_search_0
c
c dummy search that leaves a positive search for
c all channels:
c hec_s_chan(ic)        = .true.
c hec_s_result(ic, i_t) = real(i_adc_ic_t(ic, i_t))
c hec_s_im(ic)          = 0
c hec_s_hit             = .true.
c
c From work by D. Striegel                       
c
      implicit none
c      
      include'hec_par.inc'      !shared parameter
      include'hec_geo.inc'      !geometry correspondence tables
      include'hec_adc.inc'      !adc arrays
      include'hec_search.inc'   !search
c
      integer ic, i_t
c
c set to positive search
c
      do ic = 1, i_adc_used
        hec_s_chan(ic)= .true.
        hec_s_im(ic) = 0
        do i_t = 1, i_tim_used
          hec_s_result(ic, i_t) = real(i_adc_ic_t(ic, i_t))
        enddo
      enddo
      hec_s_hit = .true.
c      
      end
      
